Subject: [radext] Genart last call review of draft-ietf-radext-coa-proxy-05

From: Tim Evens <[email-masked]>
Date: Mon, 13 Aug 2018 17:24:58 -0700

Reviewer: Tim Evens
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-radext-coa-proxy-??
Reviewer: Tim Evens
Review Date: 2018-08-13
IETF LC End Date: 2018-08-13
IESG Telechat date: 2018-08-16

Summary: This draft is basically ready for publication, but has 
nits that should be fixed before publication.

Major issues:

Minor issues:

Nits/editorial comments: 
Abstract contains "Section 3.1" which becomes an HTML reference
link. This incorrectly links to the current draft section 3.1,
not the intended RFC5176 Section 3.1.  This is repeated in 
the introduction.  

IMO, that last sentence would read better with "corrects the omission"
instead of "that."

Code points are not summarized in IANA Considerations section. 

The references are not formatted per RFC7322.

The HTML rendering of Section 2.2 CoA Processing does not render
the RFC5176 link correctly.  Bracketed references normally are followed
by some text.

IMO, considering this draft updates 5176, I feel it would be better for the
problem statement to be clearer on updates and clarifications. 

In section 3.3, while humorous, I suggest dropping "on the planet." 

Section 6 Security Considerations link for Section 11 of RFC6929 is 
missing keyword "of." This results in two links instead of the correct
link.

---

From: Alan DeKok <[email-masked]>
Date: Tue, 14 Aug 2018 16:00:18 -0400

> not the intended RFC5176 Section 3.1.  This is repeated in 

  Fixed.

> IMO, that last sentence would read better with "corrects the omission"

  It's been reworded to be clearer over all.

> Code points are not summarized in IANA Considerations section. 

  Fixed.

> the RFC5176 link correctly.  Bracketed references normally are followed

  I'll fix that.

> problem statement to be clearer on updates and clarifications. 

  Perhaps you could suggest text?  My understanding is that the problem statement is fairly clear:

* CoA proxying is currently impossible

  And the solution:

* define a method for doing CoA proxying

> In section 3.3, while humorous, I suggest dropping "on the planet." 

  Done.  And clarified substantially as a result of IESG feedback.

> missing keyword "of." This results in two links instead of the correct

  Fixed.

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 15 Aug 2018 14:34:48 -0400

Tim, thanks for your review. Alan, thanks for your responses. I have entered a No Objection ballot.

Alissa

> On Aug 14, 2018, at 4:00 PM, Alan DeKok <[email-masked]> wrote:
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art